#!/bin/sh

echo "⏳ Attente de la base de données PostgreSQL..."

# Attente active que la base soit prête
until npx prisma migrate deploy; do
  >&2 echo "PostgreSQL non prêt - nouvelle tentative dans 2s..."
  sleep 2
done

echo "✅ Base de données prête - Migrations appliquées"

# Exécution du seed après les migrations
echo "🌱 Exécution du seed Prisma..."
npx prisma db seed

echo "✅ Base de données initialisée - Démarrage du serveur Express..."
exec npx dotenvx run -- node dist/src/app.js
