import express         from 'express';


import db               from '../helpers/DatabaseHelper.js';
import logger           from '../logging/WinstonLogger.js';

const router: express.Router = express.Router();

async function reqGetDB<T>(getFunction: () => Promise<T>): Promise<T> {
try {
    const data = await getFunction();
    await db.$disconnect();
    return data;
} catch (e) {
    logger.error(JSON.stringify(e));
    await db.$disconnect();
    return Promise.reject(new Error('Process exited due to error'));
}
}

export default reqGetDB;
