-- CreateTable
CREATE TABLE "QCM" (
    "idQCM" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "nomQCM" TEXT NOT NULL,
    "temps" TEXT NOT NULL,
    "randomOrder" BOOLEAN NOT NULL
);

-- CreateTable
CREATE TABLE "Type" (
    "idType" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "nomType" TEXT NOT NULL
);

-- CreateTable
CREATE TABLE "Choix" (
    "idChoix" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "isCorrect" BOOLEAN NOT NULL,
    "idQuestion" INTEGER NOT NULL,
    CONSTRAINT "Choix_idQuestion_fkey" FOREIGN KEY ("idQuestion") REFERENCES "Question" ("idQuestion") ON DELETE RESTRICT ON UPDATE CASCADE
);

-- CreateTable
CREATE TABLE "Question" (
    "idQuestion" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "question" TEXT NOT NULL,
    "position" INTEGER NOT NULL,
    "nbPtsPositif" INTEGER NOT NULL,
    "nbPtsNegatif" INTEGER NOT NULL,
    "numeric" BOOLEAN,
    "idQCM" INTEGER NOT NULL,
    "idType" INTEGER NOT NULL,
    CONSTRAINT "Question_idQCM_fkey" FOREIGN KEY ("idQCM") REFERENCES "QCM" ("idQCM") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Question_idType_fkey" FOREIGN KEY ("idType") REFERENCES "Type" ("idType") ON DELETE RESTRICT ON UPDATE CASCADE
);

-- CreateTable
CREATE TABLE "Reponse" (
    "idQuestion" INTEGER NOT NULL,
    "idChoix" INTEGER NOT NULL,
    "idUser" INTEGER NOT NULL,
    "numeric" REAL,

    PRIMARY KEY ("idQuestion", "idChoix", "idUser"),
    CONSTRAINT "Reponse_idQuestion_fkey" FOREIGN KEY ("idQuestion") REFERENCES "Question" ("idQuestion") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Reponse_idChoix_fkey" FOREIGN KEY ("idChoix") REFERENCES "Choix" ("idChoix") ON DELETE RESTRICT ON UPDATE CASCADE,
    CONSTRAINT "Reponse_idUser_fkey" FOREIGN KEY ("idUser") REFERENCES "User" ("id") ON DELETE RESTRICT ON UPDATE CASCADE
);
