import { Component, Input } from '@angular/core';
import { Choix } from '../../classes/qcm/Choix';
import { Question } from '../../classes/qcm/Question';
import { NewChoiceComponent } from '../new-choice/new-choice.component';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { NewQuestionComponent } from '../new-question/new-question.component';

@Component({
    selector: 'app-affichage-choix-edit-question',
    templateUrl: './affichage-choix-edit-question.component.html',
})
export class AffichageChoixEditQuestionComponent {
    constructor(public dialogRef: MatDialogRef<NewQuestionComponent>, public dialog: MatDialog) { }
    @Input() choix!: Choix;
    @Input() question!: Question;

    modif(): void {
        let texte = ""
        if (this.choix.text) {
            texte = "Texte"
        }
        const dialogRef = this.dialog.open(NewChoiceComponent, {
            width: '40%',
            data: { choixTexte: texte, idQuestion: this.question.idQuestion, choix: this.choix },
        });
        dialogRef.afterClosed().subscribe(result => {
            if (result) {
                this.choix = result;
                console.log('La question saisie est:', result);
            }
        });
    }
    reponse() : string{
        if(this.choix.isCorrect){
            return "Oui"
        }
        else{
            return "Non"
        }
    }
    del(): void {
        if (this.choix) {
            this.question.delChoix(this.choix)
        }
    }
}
