import { Component, Input, Inject } from '@angular/core';
import { VisionResultPopupComponent } from '../../affichage-qcm-realise/vision-result-popup/vision-result-popup.component';
import { MAT_DIALOG_DATA, MatDialogRef } from '@angular/material/dialog';
import { Choix } from '../../classes/qcm/Choix';

@Component({
  selector: 'app-new-choice',
  templateUrl: './new-choice.component.html',
  styleUrls: ['./new-choice.component.scss']
})
export class NewChoiceComponent {
  @Input() choixTexte!: string;
  choixC!: Choix;
  choixValue: string;
  idQuestion: number;
  isChecked: boolean;

  constructor(
    public dialogRef: MatDialogRef<VisionResultPopupComponent>,
    @Inject(MAT_DIALOG_DATA) public data: {choixTexte: string, idQuestion: number, choix: Choix}
  ) {
    this.choixTexte = data.choixTexte;
    this.idQuestion = data.idQuestion;
    if(data.choix){
      this.choixC = data.choix;
      this.isChecked = data.choix.isCorrect;
      this.choixValue = data.choix.text;
    }
    else{
      this.choixC = new Choix(1, "", undefined, false);
      this.isChecked = false;
      this.choixValue = "";
    }
  }

  isText(): boolean {
    return this.choixTexte === "Texte";
  }

  onCheckboxChange(event: Event): void {
    const checkbox = event.target as HTMLInputElement;
    this.isChecked = checkbox.checked;
    this.choixC.isCorrect = checkbox.checked;
  }

  postChoix(): void {
    if (this.choixValue) {
      this.choixC.text = this.choixValue;
      this.dialogRef.close(this.choixC);
    } else {
      this.dialogRef.close();
    }
  }
}
