import { Component } from '@angular/core';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Question } from '../../classes/qcm/Question';
import { NewChoiceComponent } from '../new-choice/new-choice.component';

@Component({
  selector: 'app-new-question',
  templateUrl: './new-question.component.html',
  styleUrl: './new-question.component.scss'
})
export class NewQuestionComponent {
  selectedOption: string;
  question: Question;
  
  constructor(public dialogRef: MatDialogRef<NewQuestionComponent>, public dialog: MatDialog)  {
    this.selectedOption = "Vrai/Faux"
    this.question = new Question("", 1, 0, 0,false, false, [], undefined, false, false, undefined, false);
  }
  onSelectChange(event: Event): void {
    const target = event.target as HTMLSelectElement;
    this.selectedOption = target.value;
  }
  isNum(): boolean{
    return ['Numerique'].includes(this.selectedOption);
  }
  isTextIm(): boolean{
    return ['Image', 'Texte'].includes(this.selectedOption);
  }
  isText(): boolean{
    return ['Texte'].includes(this.selectedOption);
  }
  newQuestion(): void{
    if(this.question.question){
      switch (this.selectedOption){
        case "Texte":
        case "Image":
          if(this.question.choix?.length === 0 || this.question.choix === undefined){
            this.dialogRef.close()
            return;
          }
          this.question.isNumerique = false
          this.question.isVraiFaux = false
          break;
        case "Numerique":
          if(this.question.valNum === undefined){
            this.dialogRef.close()
            return;
          }
          this.question.isNumerique = true
          this.question.isVraiFaux = false
          break;
        case "Vrai/Faux":
          console.log(this.question.valVraiFaux)
          if(this.question.valVraiFaux === undefined){
            this.dialogRef.close()
            return;
          }
          this.question.isNumerique = false
          this.question.isVraiFaux = true
          break;
        default:
          break;
      }
      // Envoie de la question
      this.dialogRef.close(this.question);
      return;
    }
    this.dialogRef.close()
  }

  newChoix(choix: string){
		const dialogRef = this.dialog.open(NewChoiceComponent, {
			width: '40%',
      data: { choixTexte: choix, idQuestion: this.question.idQuestion},
		}); 
		dialogRef.afterClosed().subscribe(result => {
      if (result) {
        this.question.choix?.push(result);
			}
		});
  }
  isTrueFalse(): boolean{
    return this.selectedOption === "Vrai/Faux";
  }
}
