import { Component, Input } from '@angular/core';
import { Question } from '../../classes/qcm/Question';
import { Reponse } from '../../classes/qcm/Reponse';
import { Fetch } from '../../classes/Fetch';

@Component({
  selector: 'app-question',
  templateUrl: './question.component.html',
  styleUrl: './question.component.scss'
})
export class QuestionComponent {
  @Input() question! : Question;


  isMultiple() : boolean{
    return this.question.isMultiple
  }
  onCheckboxChange(event: Event, choice: number): void {
    if(!this.question.reponses){
      this.question.reponses = []
    }
    const checkbox = event.target as HTMLInputElement;
    if (checkbox.checked) {
      Fetch.postReponse(choice, this.question.idQuestion, Number(localStorage.getItem('idUser'))).then(data => {
          if(this.question.reponses){
            this.question.reponses.push(new Reponse(choice, data));
          }
        })
    } else {
      const response = this.question.reponses.filter(c => c.idOrVal === choice);
      this.question.reponses = this.question.reponses.filter(c => c.idOrVal !== choice);

      Fetch.deleteReponse(response[0].idResponse ?? 0)    
    }
    
  }
  change(){
    if(this.question.reponses === undefined || this.question.reponses.length === 0){
      this.question.reponses = []
      Fetch.postReponseNumerique(this.question.valNum ?? -1, this.question.idQuestion, Number(localStorage.getItem('idUser'))).then(data => this.question.reponses = [new Reponse(this.question.valNum ?? -1, data)])
    }
    else{
      if(this.question.valNum !== undefined && this.question.reponses[0].idResponse !== undefined){
        Fetch.deleteReponseNumeric(this.question.reponses[0].idResponse, Number(localStorage.getItem('idUser')));
        Fetch.postReponseNumerique(this.question.valNum ?? -1, this.question.idQuestion, Number(localStorage.getItem('idUser'))).then(data => this.question.reponses = [new Reponse(this.question.valNum ?? -1, data)])

      }
    }
  }
  contain(id: number){
    for(let i = 0; i < (this.question.reponses?.length ?? 0); i++){
      if(this.question.reponses && id === this.question.reponses[i].idOrVal){
          return true;
      }
    }
    return false;
  }
  getValNum() : number{
    if(this.question.reponses && this.question.reponses.length !== 0){
      return this.question.reponses[0].idOrVal
    }
    return 0;
  }
  onRadioChange(event: Event): void {
    const radio = event.target as HTMLInputElement;
    if(this.question.reponses && this.question.reponses.length !== 0 && this.question.reponses[0].idResponse !== undefined){
      Fetch.deleteReponse(this.question.reponses[0].idResponse)   
    }
    Fetch.postReponse(+radio.value, this.question.idQuestion, Number(localStorage.getItem('idUser'))).then(data => {
      this.question.reponses = [new Reponse(+radio.value, data)]
    })

  }
}
