import { Component,Inject } from '@angular/core';
import { MatDialogRef, MAT_DIALOG_DATA } from '@angular/material/dialog';
import { FeedBack } from '../../classes/FeedBack';

@Component({
  selector: 'app-feedback-popup',
  templateUrl: './feedback-popup.component.html',
  styleUrl: './feedback-popup.component.scss'
})
export class FeedbackPopupComponent {
  feedBack: string = ""
  note: number = 0

  constructor(
    public dialogRef: MatDialogRef<FeedbackPopupComponent>,
    @Inject(MAT_DIALOG_DATA) public data: {feedBack: FeedBack, idUser: number, idQcm: number}
    ) 
    {
        this.feedBack = data.feedBack.feedBack
        this.note = data.feedBack.note
    }

  onNoClick(): void {
    this.dialogRef.close();
  }
}
