import { Component, inject } from '@angular/core';
import { QcmRealise } from '../../classes/realiser/QcmRealise';
import { Fetch } from '../../classes/Fetch';
import { AuthConfigService } from '../../auth-config.service';
import { Router } from '@angular/router';

@Component({
  selector: 'app-qcm-realise',
  templateUrl: './qcm-realise.component.html',
})
export class QcmRealiseComponent {
  qcms: QcmRealise[] = []
  auth: AuthConfigService;
  codeQcm: number = 0;
  idQcm: number = 0;

  constructor(private readonly router: Router) {
    this.auth = inject(AuthConfigService)
    this.auth.redirectNoLogin()
    Fetch.getQcmsRealise(Number(localStorage.getItem('idUser')))
    .then(data =>  {this.qcms = data})
    .catch(error => console.error('Erreur lors de la requête pour Contact:', error))
  }

  testRetourJoin(data: Response): void{
    data.json().then(jsonData => {
      if(data){
        switch(data.status){
          case 401:
          case 400:
          case 404:
          case 500:
            alert(JSON.stringify(jsonData["error"]));
            break;
          case 200:
            if(jsonData["hasParticipated"] && !jsonData["hasTime"]){
              alert("Tu n'as plus de temps")
            }
            else if(jsonData["hasParticipated"] && jsonData["hasTime"]){
              this.router.navigate(['/examen/', this.idQcm])
            }
            break;
          case 201:
            this.router.navigate(['/examen/', this.idQcm])
            break;
          default:
              break;
        }
      }
    }).catch(error => {
      console.error('Error parsing JSON:', error);
    });
  }

  joinQcm() : void{
    // fetch get id qcm 
    Fetch.joinQcm(this.idQcm, this.codeQcm, Number(localStorage.getItem('idUser')))
    .then(data => this.testRetourJoin(data))
    .catch(error => console.error('Error Fetch:', error))
    // this.router.navigate(['/examen/', this.idQcm])
  }
}
