import { Component, Input } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { FeedbackPopupComponent } from '../feedback-popup/feedback-popup.component';
import { VisionResultPopupComponent } from '../vision-result-popup/vision-result-popup.component';
import { QcmRealise } from '../../classes/realiser/QcmRealise';
import { ResultatQuestionParticipant } from '../../classes/resultat/ResultatQuestionParticipant';
import { Fetch } from '../../classes/Fetch';
import { ParticipantQcm } from '../../classes/resultat/ParticpantQcm';
import { ResultatComponent } from '../../affichage-resultat-qcm/resultat/resultat.component';

@Component({
    selector: 'app-realise',
    templateUrl: './realise.component.html',
    styleUrl: './realise.component.scss'
})
export class RealiseComponent{
    @Input() qcm!: QcmRealise;
    note: number = 0;
    nom: string = "";
    resQuesPart: ResultatQuestionParticipant[] = [];

    constructor(public dialog: MatDialog) {

    }
    
    openDialogFeedBack(): void {
        this.dialog.open(FeedbackPopupComponent, {
            width: '40%',
            data: { feedBack: this.qcm.feedBack},
        });
    }
    openDialogResultat(): void {
        Fetch.getReponsesCorrectQcm(this.qcm.idQcm).then(reponsesCorrect=>{
            console.log("repc", reponsesCorrect)
            Fetch.getReponsesUser(this.qcm.idQcm, Number(localStorage.getItem('idUser'))).then(data => {
                this.resQuesPart = [];
                for(let i = 0; i < this.qcm.question.length; i++){
                    this.resQuesPart.push(new ResultatQuestionParticipant(reponsesCorrect[i], data[this.qcm.question[i].idQuestion], ResultatComponent.arraysHaveSameValues(reponsesCorrect[i], data[this.qcm.question[i].idQuestion])))
                }
                this.dialog.open(VisionResultPopupComponent, {
                    width: '60%',
                    data: { ParticipantQcm: new ParticipantQcm(this.nom, this.nom, this.qcm.nomQcm, this.qcm.scoreMax, this.qcm.score, this.qcm.feedBack, this.resQuesPart, Number(localStorage.getItem('idUser')))},
                });
            })
        })
    
    }
}
