import { Component, Input } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { VisionResultPopupComponent } from '../../affichage-qcm-realise/vision-result-popup/vision-result-popup.component';
import { RetourPopUpComponent } from '../retour-pop-up/retour-pop-up.component';
import { ParticipantQcm } from '../../classes/resultat/ParticpantQcm';

@Component({
  selector: 'app-participant',
  templateUrl: './participant.component.html',
})
export class ParticipantComponent {
  @Input() participant!: ParticipantQcm;
  @Input() idQcm!: number
  constructor(public dialog: MatDialog) {}
  

  openDialogResultat(): void {
    console.log(this.participant)
    this.dialog.open(VisionResultPopupComponent, {
      width: '60%',
      data: { ParticipantQcm: this.participant }
    });

  }
  openDialogRetour(): void {
    const dialogRef = this.dialog.open(RetourPopUpComponent, {
      width: '40%',
      data: { fd: this.participant.feedBack, idQcm: this.idQcm ,idUser: this.participant.idUser }
    });
    dialogRef.afterClosed().subscribe(result => {
			if (result) {
				this.participant.feedBack = result
			}
		});
  }
}
