import { Component, inject } from '@angular/core';
import { ResultatQcm } from '../../classes/resultat/ResultatQcm';
import { ResultatQuestionParticipant } from '../../classes/resultat/ResultatQuestionParticipant';
import { Fetch } from '../../classes/Fetch';
import { AuthConfigService } from '../../auth-config.service';
import { ActivatedRoute } from '@angular/router';


@Component({
  selector: 'app-resultat',
  templateUrl: './resultat.component.html',
  styleUrl: './resultat.component.scss'
})
export class ResultatComponent {
  auth: AuthConfigService
  res!: ResultatQcm
  id: number;

  static arraysHaveSameValues(arr1: number[], arr2: number[]): boolean {
    // Vérifier si les tableaux ont la même longueur
    if (arr1.length !== arr2.length) {
        return false;
    }

    // Trier les tableaux
    const sortedArr1 = [...arr1].sort((a, b) => a - b);
    const sortedArr2 = [...arr2].sort((a, b) => a - b);

    // Comparer chaque valeur
    for (let i = 0; i < sortedArr1.length; i++) {
        if (sortedArr1[i] !== sortedArr2[i]) {
            return false;
        }
    }

      return true;
  }
  constructor(private readonly route: ActivatedRoute){
    this.auth = inject(AuthConfigService)
    this.auth.redirectNoLogin()
    const idParam = this.route.snapshot.paramMap.get('id');
    if (idParam !== null) {
      this.id = +idParam;
    } else {
      this.id = 0;
      console.error('ID param is null');
    }
    Fetch.getResultatQcm(this.id)
    .then(data => {
      Fetch.getReponsesCorrectQcm(this.id).then(reponsesCorrect=>{
        console.log("repc", reponsesCorrect)
        this.res = data;
        this.res.particpants.forEach(part => {
          Fetch.getReponsesUser(this.id, part.idUser)
          .then(reponsesUser => {
            for(let i = 0; i < this.res.questions.length; i++){
              part.resQuestion.push(new ResultatQuestionParticipant(reponsesCorrect[i], reponsesUser[this.res.questions[i].idQuestion], ResultatComponent.arraysHaveSameValues(reponsesCorrect[i], reponsesUser[this.res.questions[i].idQuestion])))
            }
          })
        })
      })
    })
    .catch(error => console.error('Erreur lors de la requête pour Contact:', error))
  }
}
