import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialog, MatDialogRef } from '@angular/material/dialog';
import { FeedBack } from '../../classes/FeedBack';
import { Fetch } from '../../classes/Fetch';

@Component({
  selector: 'app-retour-pop-up',
  templateUrl: './retour-pop-up.component.html',
  styleUrl: './retour-pop-up.component.scss'
})
export class RetourPopUpComponent {
  feedBackR: FeedBack;
  fb: string;
  note: number;
  idUser: number;
  idQcm: number;

  constructor(public dialogRef: MatDialogRef<RetourPopUpComponent>, public dialog: MatDialog,
    @Inject(MAT_DIALOG_DATA) public data: {fd: FeedBack, idQcm: number, idUser: number}
  )
  {
    this.feedBackR = data.fd;
    this.fb = this.feedBackR.feedBack
    this.note = this.feedBackR.note
    this.idUser = data.idUser
    this.idQcm = data.idQcm
  }
  send() :void{
    const nFeedBack: FeedBack = new FeedBack(this.fb, this.note)
    Fetch.putFeedBack(nFeedBack, this.idQcm, this.idUser);
    console.log(nFeedBack)
    this.dialogRef.close(nFeedBack);
  }
}
