import { NgModule }             from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ResultatComponent } from './affichage-resultat-qcm/resultat/resultat.component';
import { CreationComponent } from './affichage-creation-qcm/creation/creation.component';
import { ExamenComponent } from './affichage-examen/examen/examen.component';
import { QcmRealiseComponent } from './affichage-qcm-realise/qcm-realise/qcm-realise.component';
import { LoginComponent } from './login/login.component';
import { QcmCreeComponent } from './affichage-qcm-cree/qcm-cree/qcm-cree.component';


const routes: Routes = [
    {
        path:'',
        component: LoginComponent,
        title: 'Login'
    },
    {
        path:'resultat/:id',
        component: ResultatComponent,
        title: 'Resultat'
    },
    {
        path:'creation',
        component: CreationComponent,
        title: 'Création'
    },
    {
        path:'update/:id',
        component: CreationComponent,
        title: 'Update'
    },
    {
        path:'examen/:id',
        component: ExamenComponent,
        title: 'Examen'
    },
    {
        path:'qcmRealise',
        component: QcmRealiseComponent,
        title: 'QCM Realisé'
    },
    {
        path:'qcmCree',
        component: QcmCreeComponent,
        title: 'QCM Créé'
    },
    {
        path:'login',
        component: LoginComponent,
        title: 'Login'
    }
];


@NgModule({
        imports: [ RouterModule.forRoot(routes) ],
        exports: [ RouterModule ]
    })
export class AppRoutingModule {
}
