import { Component, inject, OnInit } from '@angular/core';
import { AuthConfigService } from '../auth-config.service';
import { Router, ActivatedRoute } from '@angular/router';

@Component({
    selector: 'app-login',
    templateUrl: './login.component.html',
})
export class LoginComponent implements OnInit {
    auth: AuthConfigService;
    constructor(public authService: AuthConfigService, private readonly router: Router, private readonly route: ActivatedRoute) {
        this.auth = inject(AuthConfigService);
    }
    login() {
        window.location.href = this.authService.getAuthorizationUrl();
    }
    ngOnInit() {
        this.auth.redirectLogin()
        if (!this.auth.loggedIn) {
            this.route.queryParams.subscribe(params => {
                const code = params['code']
                if (code) {
                    this.authService.exchangeCodeForToken(code).
                    then(_data => {  
                        this.router.navigate(['/qcmRealise'])
                    })
                }
            });
        }
        else {
            this.router.navigate(['/qcmRealise']);
        }
    }
}
