import express, { NextFunction }    from 'express';
import jwt from 'jsonwebtoken';

declare module 'express' {
    export interface Request {
      user?: {
        id: number;
        // Add other properties if needed
      };
    }
  }

export const verifyJWT = (req: express.Request, res: express.Response, next: NextFunction) => {
    const token = req.header('Authorization')?.split(' ')[1];
    console.log("token");
    console.log(token);
    if (!token) {
        res.status(401).json({ message: 'No token, authorization denied' });
    }
    else{
        try {
            // Décoder et vérifier le token JWT
    
            const decoded = jwt.verify(token, String(process.env.SECRET_JWT));
            req.user = decoded as { id: number };
            next();
        } catch (err) {
            res.status(401).json({ message: 'Token is not valid' });
        }
    }
};